Page MenuHomePhabricator

[AMDGPU][MC] Added ds_add_src2_f32
ClosedPublic

Authored by dp on Mar 22 2018, 6:55 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

dp created this revision.Mar 22 2018, 6:55 AM

I see this listed in the gfx9 manual, but not VI. Does this need the subtarget feature?

dp added a comment.Mar 22 2018, 9:25 AM

I see this listed in the gfx9 manual, but not VI. Does this need the subtarget feature?

I'm not sure. It is not listed in Gfx9_Shader_Programming either.
But it is present in SP3 tables for VI.

Do you know who can help with this question?
Maybe Tony?

dp added a comment.Mar 23 2018, 1:44 AM

So Dan Clifton confirmed it is gfx7.
But maybe it would be safer to support this opcode for gfx8/9 only to mimic SP3 assembler?
I'm not sure about gfx7.

In D44779#1046500, @dp wrote:

But maybe it would be safer to support this opcode for gfx8/9 only to mimic SP3 assembler?

I think that supporting this inst for gfx7 would not break the sp3 compatibility. And we do not need to support all the quirks of SP3)) So it's up to you. I would prefer the solution which would be the simplest and the robustness one.

This revision is now accepted and ready to land.Mar 23 2018, 7:50 AM
Closed by commit rL328713: [AMDGPU][MC] Added ds_add_src2_f32 (authored by dpreobra, committed by ). · Explain WhyMar 28 2018, 9:24 AM
This revision was automatically updated to reflect the committed changes.